#pragma once

#include "CoreMinimal.h"
#include "GenericGraphNode.h"
#include "DialogueRootNode.generated.h"

UCLASS(Blueprintable)
class UDialogueRootNode : public UGenericGraphNode
{
	GENERATED_BODY()

public:
	UDialogueRootNode();

#if WITH_EDITOR
	virtual FText GetNodeTitle() const override;

	virtual FLinearColor GetBackgroundColor() const override;
#endif
};
